<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>JS-ADV. Lesson 1. Task 3 </title>
</head>
<body>
  <div class="wrap" id="app"></div>

  <script>
  /*
      Задание:
      Сложить в элементе с id App следующую размету HTML:

      <header>
        <a href="http://google.com.ua">
          <img src="https://www.google.com.ua/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png">
        </a>
        <div class="menu">
          <a href="#1"> link 1</a>
          <a href="#1"> link 2</a>
          <a href="#1"> link 3</a>
        </div>
      </header>

      Используя следующие методы для работы:
      getElementById
      createElement
      element.innerText
      element.className
      element.setAttribute
      element.appendChild
  */

  let header = document.createElement('header');

  let ag = document.createElement('a');
  ag.href = 'http://google.com.ua';
  header.appendChild(ag);

  let img = document.createElement('img');
  img.src = 'https://www.google.com.ua/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png';
  ag.appendChild(img);

  let menu = document.createElement('div');
  menu.className = 'menu';
  for (let i=0; i<3; i++) {
    let link = document.createElement('a');
    let num = +i+1;
    link.href = '#' + num;
    link.innerText = 'Link ' + num;
    menu.appendChild(link);
  }
  header.appendChild(menu);

  document.getElementById('app').appendChild(header);

  </script>
</body>
</html>
